Steam for Linux > Limited Beta > 主題細節
your_name 2012 年 11 月 29 日 @ 下午 10 時 07 分
Issue Report: SS3 BFE script to install libpci.so.3 fails
Serious Sam 3: BFE was installed and working prior to Update 172672. After updating I receive the dialog stating Library libpci.so.3 is missing. If I press OK to install the dialog will close, but the library is not installed and nothing further happens. If I press Cancel the game will load and runs w/o issue so far (currently on Get the hell off my ride). Rebooting/updating the system has not resolved the issue.

System Information:
Processor Information:
Vendor: GenuineIntel
Speed: 3401 Mhz
8 logical processors
4 physical processors
HyperThreading: Supported
FCMOV: Supported
SSE2: Supported
SSE3: Supported
SSSE3: Supported
SSE4a: Unsupported
SSE41: Supported
SSE42: Supported

Network Information:
Network Speed:

Operating System Version:
Ubuntu 12.10 (64 bit)
Kernel Name: Linux
Kernel Version: 3.5.0-18-generic
X Server vendor: The X.Org Foundation
X Server release: 11300000

Video Card:
Driver: ATI Technologies Inc. AMD Radeon HD 6900 Series

Driver Version: 4.2.11903 Compatibility Profile Context
Desktop Color Depth: 24 bits per pixel
Monitor Refresh Rate: 60 Hz
VendorID: 0x1002
DeviceID: 0x6719
Number of Monitors: 1
Number of Logical Video Cards: 1
Primary Display Resolution: 1920 x 1080
Desktop Resolution: 1920 x 1080
Primary Display Size: 20.04" x 11.26" (22.95" diag)
50.9cm x 28.6cm (58.3cm diag)
Primary VRAM Not Detected

Sound card:
Audio device: Intel CougarPoint HDMI

Memory:
RAM: 15957 Mb

Miscellaneous:
UI Language: English
LANG: en_US.UTF-8
Microphone: Not set
Total Hard Disk Space Available: 30048 Mb
Largest Free Hard Disk Block: 11325 Mb

Installed software:

顯示 1-8,共 8 則回應
< >
Dr0zD[SVK] 2012 年 11 月 29 日 @ 下午 11 時 41 分 
Have you tried to change to publicbeta option in Library -> SS3 -> Properties -> Betas ?
Chichi 2012 年 11 月 30 日 @ 上午 12 時 51 分 
try also to install the package manually :
sudo apt-get install libpci3:i386
stfb 2012 年 11 月 30 日 @ 上午 1 時 51 分 
Have the same problem. I'm on a 64bits Ubuntu version. And libpci3 is already installed in 64bits version but seems it needs the 32bits version.
saysilence 2012 年 11 月 30 日 @ 上午 2 時 00 分 
does not work on ubuntu 12.10 x64 AMD however manual install fixed the issueand ss3 starts.
Chichi | Linux 發表:
try also to install the package manually :
sudo apt-get install libpci3:i386
mattyy1hp |Linux| 2012 年 11 月 30 日 @ 上午 5 時 24 分 
I had same issue on 64bit Ubuntu 12.04 LTS.
I installed libpci3:i386 and SS3 now works.
Joc 2012 年 12 月 1 日 @ 上午 8 時 18 分 
Same issue here (ubuntu 12.10 64bits).
manual install allows me to launch the game
sudo apt-get install libpci3:i386
akmelius 2012 年 12 月 1 日 @ 下午 3 時 13 分 
I had the same issue on Ubuntu 12.04 x86_64.
Santa Claus 2012 年 12 月 2 日 @ 上午 7 時 09 分 
Probably the Steam should offer such missing dependanycy installation during the game running phase.
顯示 1-8,共 8 則回應
< >
每頁: 15 30 50
張貼日期: 2012 年 11 月 29 日 @ 下午 10 時 07 分
回覆: 8